#1455 closed defect (fixed)

Support of atomic operations in RTEMS

Reported by: Oleg Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.10
Severity: normal Keywords:
Cc: jennifer.averett@…, nbkolchin@…, sebastian.huber@…, Oleg.Kravtsov@…, gedare@… Blocked By:
Blocking:

Description

Are you planning ot add support for atomic operations (read, write, add, check) in RTEMS?
There can be a port from BSD systems for this, or?

Change History (7)

comment:1 Changed on Nov 2, 2009 at 8:54:39 AM by Oleg

Cc: nbkolchin@… Oleg.Kravtsov@… added

comment:2 Changed on May 17, 2010 at 7:19:01 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:3 Changed on May 10, 2011 at 12:42:51 PM by Jennifer Averett

Cc: Jennifer Averett added

comment:4 Changed on Oct 27, 2011 at 11:08:28 PM by Gedare Bloom

blocked: 1946

comment:5 Changed on Dec 3, 2013 at 2:03:52 PM by Gedare Bloom

Cc: Gedare Bloom added

comment:6 Changed on Dec 3, 2013 at 2:14:36 PM by Sebastian Huber

Milestone: 4.10Not Assigned
Resolution: fixed
Status: newclosed

The atomic operations API is still work in progress, but I think we can close the bug.

comment:7 Changed on Nov 20, 2014 at 4:41:05 AM by Chris Johns

Milestone: Not Assigned4.11

All fixed and close on HEAD.

Note: See TracTickets for help on using tickets.